Subject: Re: git-update-server-info crashes on hera.kernel.org:/pub/scm/libs/klibc/klibc.git

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 03 Dec 2005 23:12:02 -0800

Junio C Hamano wrote:
> "H. Peter Anvin" <[email-masked]> writes:
> 
> 
>>FWIW, I invoked this as:
>>
>>hpa@hera:~(0)$ GIT_DIR=/pub/scm/libs/klibc/klibc.git git-update-server-info
>>Segmentation fault
> 
> 
> Trusting that I *won't* be able to write into that repository, I
> tried to run that and after getting an error ("cannot update
> info/refs file", which I wanted to see) I seem to be getting the
> same segfault.  GDB session reveals the binary is heavily
> optimized or inlined, so it is hard to see what it is doing
> though.
> 
> But there is one thing that is mysterious about your repository,
> and by mirroring that peculiarity with the copy in my home
> directory, I managed to reproduce the problem with my copy.  Why
> does the objects/info/alternates in that repository point at
> itself?  I suspect if you remove that file you will be OK.
> 
> update-server-info simply dying, instead of complaining about
> it, is a bug nevertheless, and removal of the
> unnecessary/possibly wrong alternate is only a workaround, but I
> hope that would unblock you in the meantime..
> 

Removing that file did indeed work.  I have no idea where it comes from, 
though; although I would guess it comes from another repository that I 
merged with (which had my original repository set as an alternate.)

	-hpa